-- searches for a specific item's information in value_table.lua
function search_for_item(itemname)
    for index, value in next, dkp_value_table do
        if value["item"] == itemname then
            return value
        end
    end
end

-- translates an item's ranking into its dkp value
function ranking_to_dkp(ranking)
    result = 0
    
    if ranking == "X" then
        result = 0
	elseif ranking == "BWLG-S" then
        result = 90
    elseif ranking == "BWLG-A" then
        result = 68
    elseif ranking == "BWLG-B" then
        result = 45
    elseif ranking == "BWLG-C" then
        result = 23
	elseif ranking == "BWLW-S" then
        result = 136
    elseif ranking == "BWLW-A" then
        result = 102
    elseif ranking == "BWLW-B" then
        result = 68
    elseif ranking == "BWLW-C" then
        result = 34
	elseif ranking == "BWLA-S" then
        result = 110
    elseif ranking == "BWLA-A" then
        result = 83
	elseif ranking == "BWLA-B" then
        result = 55
	elseif ranking == "BWLA-C" then
        result = 28
	elseif ranking == "BWLN-S" then
        result = 119
    elseif ranking == "BWLN-A" then
        result = 79
	elseif ranking == "BWLN-B" then
        result = 53
	elseif ranking == "BWLN-C" then
        result = 27
	elseif ranking == "T1" then
		result = 15
	elseif ranking == "T2" then
		result = 45
	elseif ranking == "MC-S" then
		result = 30	
	elseif ranking == "MC-A" then
		result = 23
	elseif ranking == "MC-B" then
		result = 15
	elseif ranking == "MC-C" then
		result = 8
	elseif ranking == "MCN-S" then
		result = 45	
	elseif ranking == "MCN-A" then
		result = 30
	elseif ranking == "MCN-B" then
		result = 20
	elseif ranking == "MCN-C" then
		result = 10
	elseif ranking == "MCW-S" then
		result = 60	
	elseif ranking == "MCW-A" then
		result = 45
	elseif ranking == "MCW-B" then
		result = 30
	elseif ranking == "MCW-C" then
		result = 15
	elseif ranking == "MCA-S" then
		result = 50
	elseif ranking == "MCA-A" then
		result = 37
	elseif ranking == "MCA-B" then
		result = 25
	elseif ranking == "MCA-C" then
		result = 13
    end
    return result
end

-- returns the class icon path, formatted as 12x12 pixels with a 2 pixel offset
function get_class_icon(class)
    result = ""
    
    if class == "protwarr" then
        result = "|TINTERFACE\\ICONS\\ability_warrior_defensivestance:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "dwprotwarr" then
        result = "|TINTERFACE\\ICONS\\ability_dualwield:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "furywarr" then
        result = "|TINTERFACE\\ICONS\\ability_warrior_innerrage:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "hpal" then
        result = "|TINTERFACE\\ICONS\\inv_hammer_01.png:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "hunter" then
        result = "|TINTERFACE\\ICONS\\inv_weapon_bow_07.png:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "rogue" then
        result = "|TINTERFACE\\ICONS\\inv_throwingknife_04.png:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "rdruid" then
        result = "|TINTERFACE\\ICONS\\spell_nature_healingtouch:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "fdruiddps" then
        result = "|TINTERFACE\\ICONS\\ability_druid_catform:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "fdruidtank" then
        result = "|TINTERFACE\\ICONS\\ability_racial_bearform:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "mage" then
        result = "|TINTERFACE\\ICONS\\inv_staff_13.png:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "wl" then
        result = "|TINTERFACE\\ICONS\\spell_nature_drowsy.png:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "hpriest" then
        result = "|TINTERFACE\\ICONS\\inv_staff_30.png:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "spriest" then
        result = "|TINTERFACE\\ICONS\\spell_shadow_shadowwordpain:12:12:0:0:64:64:4:60:4:60|t"
	elseif class == "rshaman" then
		result = "|TINTERFACE\\ICONS\\spell_nature_magicimmunity:12:12:0:0:64:64:4:60:4:60|t"
	elseif class == "enhshaman" then
		result = "|TINTERFACE\\ICONS\\spell_nature_lightningshield:12:12:0:0:64:64:4:60:4:60|t"
	elseif class == "eleshaman" then
		result = "|TINTERFACE\\ICONS\\spell_nature_lightning:12:12:0:0:64:64:4:60:4:60|t"
    end
    
    return result
end
